Tagged: 

Viewing 9 posts - 1 through 9 (of 9 total)
  • Author
    Posts
  • #24206
    Profile photo of support
    Daniel
    Participant

    Hi,

    I have been in conversation with the host company (www.hoststar.ch) who have kindly installed imagick and upgraded the php version to 5.6 to work with imagick. However symbiostock still says it is not installed, and when I check the phpinfo there is not listing for imagick. I am not sure what I need to ask the hosts as they say it is installed. Does any one have any advice on how to get this working?

    Thanks, Nicki.

    #24207
    Profile photo of Robin
    Robin
    Keymaster

    Hi Nicki,

    In addition to Imagick, they need to install the PHP Imagick extension which allows PHP to interface with Imagick. If they have already done this, you can submit a support request with us for deeper diagnosis of what may be wrong.

    #24208
    Profile photo of support
    Daniel
    Participant

    Thank you Robin, I have asked the host if the PHP Imagick extension is installed. This is actually what I asked for originally, so maybe they misunderstood. I will let you know what they say.

    Thanks for your help.

    #24243
    Profile photo of support
    Daniel
    Participant

    Thanks for your help, I have now got imagick working. The host said that they had updated the php version to 5.6 to work with imagick, but in actual fact there was an option in the cpanel where I had to change the php to version 5.6, which they didn’t say. So now imagick is working.

    The only problem I have now is when I activate symbiostock express theme now it produces a 500 internal server error so I have something else to debug… I’ll get there eventually.

    #24249
    Profile photo of Robin
    Robin
    Keymaster

    500 errors are really hard to diagnose without SSH access. You need to tail the actual apache logs to figure out what is happening. You can submit a support request to us – although, I would say it is something you should again ask for assistance with your web host. Also confirm that it is only happening with Symbiostock Express – try another theme.

    Right now, SE is being used pretty widely and we’ve never received word of a 500 error, so it is likely specific to your server. Nevertheless, if all else fails, submit a support request and we’ll try to figure out what is causing it.

    #24256
    Profile photo of support
    Daniel
    Participant

    Well, I contacted the hosts again. They put the site back to php 5.4 saying that ‘something doesn’t work with 5.6’. However, now imagick doesn’t work again, despite them saying that the libraries are available. (Round in circles!) When the site is using php 5.6.3 then imagick works and there’s no message in the dashboard saying it needs to be installed. But then activating the theme SE causes a 500 internal server error. The site works fine with twenty eleven activated. As an aside, activating the backup plugin updraft also causes the 500 error.

    I am tempted to leave it at php 5.4 and suffer without imagick. But it would be really good to get imagick working. Is it worth me putting in a support request so that you can have a root around for a problem? The site isn’t live yet so it would be possible.

    Thanks for your support Robin.

    Nicki

    #24258
    Profile photo of Robin
    Robin
    Keymaster

    If other plugins are also having 500 errors, my preemptive guess is that there is some setting, or some extension causing the issue that is specific to your server and PHP 5.6 (I’ve discovered many instances where a specific build of PHP does not work properly, and just changing the build fixes weird problems like these). Finding this out will likely take a lot of time. Another possible option is to run PHP as an Apache module instead of FastCGI – try to get them (or you may be able to do this via your control panel) to toggle this to see if it fixes it.

    I agree that it would be much better to run it with Imagick support.

    In your position, I would tell them to install PHP Imagick for PHP 5.4 or I’m outta there. But that’s me.

    #24410
    Profile photo of support
    Daniel
    Participant

    Hi Robin,

    My client has decided to move hosting to your plus package. Is it possible to get a refund on the plugin if he buys the hosting package with everything pre-installed?

    Thanks for your help.

    Nicki

    #24411
    Profile photo of Robin
    Robin
    Keymaster

    Hi Daniel,

    Do you mean Symbiostock Express? If so, yes, we’ve done that for some other users as well. Just PM me your info once you sign up with PLUS and we’ll refund your PayPal transaction.

Viewing 9 posts - 1 through 9 (of 9 total)

You must be logged in to reply to this topic.